export interface IMaterialType {
    title: string;
    code: string;
}
export declare enum MaterialTerminal {
    web = "web",
    mobile = "mobile"
}
export interface IMaterialExt {
    id: string;
    name: string;
    tags?: string;
    author: string;
    type: string;
    terminal: MaterialTerminal;
    isOfficial?: boolean;
    snapshot?: string[];
    description: string;
    latestVersion: string;
    latestVersionId: string;
    installed?: boolean;
    installedVersion?: string;
    createdBy?: string;
    createdByName?: string;
    createdAt?: string;
    updatedBy?: string;
    updatedByName?: string;
    updatedAt?: string;
}
export declare function getMaterialTypes(): Promise<IMaterialType[]>;
export interface IQueryMaterialListParams {
    type: string;
    isInstalled?: boolean;
    terminal?: boolean;
}
export declare function queryMaterialList(params: IQueryMaterialListParams): Promise<IMaterialExt[]>;
export declare function installMaterial(id: string, versionId: string): Promise<void>;
export declare function uninstallMaterial(id: string): Promise<void>;
